import request from "@/util/oaRequest"

// 查询任务列表
export function listTask(query) {
  return request({
    url: '/oa/task/list',
    method: 'get',
    params: query
  })
}


// 查询指定月份的任务列表 
export function monthData(month) {
  return request({
    url: '/oa/task/monthData/list/'+month,
    method: 'get',

  })
}

// 查询我的任务
export function listTaskWork(query) {
  return request({
    url: '/oa/task/list-own-work',
    method: 'get',
    params: query
  })
}

// 查询我创建的任务
export function listTaskCreate(query) {
  return request({
    url: '/oa/task/list-own-create',
    method: 'get',
    params: query
  })
}

//根据项目id和任务类型查询任务列表
export function getTaskByDictType(pid){
  return request({
    url: '/oa/task/getTaskByDictType/' + pid,
    method: 'get'
  })
}

// 根据工作类型查询列表
export function listTaskByType(query) {
  return request({
    url: '/oa/task/listByType',
    method: 'get',
    params: query
  })
}

// 查询任务管理详细
export function getTask(taskId) {
  return request({
    url: '/oa/task/' + taskId,
    method: 'get'
  })
}

// 新增任务管理
export function addTask(data) {
  return request({
    url: '/oa/task',
    method: 'post',
    data: data
  })
}

// 修改任务管理
export function updateTask(data) {
  return request({
    url: '/oa/task',
    method: 'put',
    data: data
  })
}

// 任务延期
export function postponeTask(data) {
  return request({
    url: '/oa/task/postpone',
    method: 'put',
    data: data
  })
}

// 多次任务延期
export function postponeSuccess(data) {
  return request({
    url: '/oa/task/postponeSuccess',
    method: 'put',
    data: data
  })
}

// 删除任务管理
export function delTask(taskId) {
  return request({
    url: '/oa/task/' + taskId,
    method: 'delete'
  })
}
